Subject: Re: bug#931: 23.0.60; Bug in bytecomp.el: displaying warnings

From: "Richard M. Stallman" <[email-masked]>
Date: Tue, 09 Sep 2008 04:11:33 -0400

> If pop-up-windows is nil, and warnings have to be displayed,
     > `byte-compile-report-error' is called, and after that,
     > (current-buffer) will be the Compile Log buffer, and the current
     > buffer is not restored for further iterations of the while loop.

    I suppose the byte-compiler should either refrain from using
    `display-warning'

That would be very drastic and cause a lot of inconvenience
in the normal situation where there is no bug!

		      or, if `pop-up-windows' and `pop-up-frames' are nil,
    not display a warning until compilation is complete.

The solution that occurs to me is that `display-warning' should
bind `pop-up-windows' to t in that case.